#include "stdafx.h"
#include "lsapiex.h"

////////////////////////////////////////////////////////////////////////////
//
// Read prefixed string option ([sPrefix][szOption]) from .RC
// 
string GetPrefixedRCString(string sPrefix, const char *szOption, const char *szDefault)
{
	char buf[MAX_LINE_LENGTH];
	GetRCString((sPrefix + szOption).c_str(), buf, szDefault, MAX_LINE_LENGTH);
	return (string)buf;
}

////////////////////////////////////////////////////////////////////////////
//
// Read prefixed BOOL option ([sPrefix][szOption]) from .RC
// 
bool GetPrefixedRCBool(string sPrefix, const char *szOption, bool bDefault)
{
	return GetRCBoolDef((sPrefix + szOption).c_str(), bDefault) != FALSE;
}

////////////////////////////////////////////////////////////////////////////
//
// Read prefixed line option ([sPrefix][szOption]) from .RC
// 
string GetPrefixedRCLine(string sPrefix, const char *szOption, const char *szDefault)
{
	char buf[MAX_LINE_LENGTH];
	GetRCLine((sPrefix + szOption).c_str(), buf, MAX_LINE_LENGTH, szDefault);
	int slen = strlen(buf);
	if (slen>1 && buf[0] == '\"' && buf[slen-1] == '\"')
	{
		buf[slen-1] = 0;
		return (string)(buf+1);
	}
	return (string)buf;
}
